> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Scheduled Job Group

> Creates a named group containing multiple scheduled jobs in a single transaction.



## OpenAPI

````yaml /swagger/management-api.json post /api/v1/{team_slug}/{app_slug}/schedule/groups
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/schedule/groups:
    post:
      tags:
        - Scheduling
      summary: Create Scheduled Job Group
      description: >-
        Creates a named group containing multiple scheduled jobs in a single
        transaction.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/internal_pkg_webserver_v1.CreateSchedulingGroupPayload
        description: Scheduling group data
        required: true
      responses:
        '200':
          description: Group created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseSchedulingGroup
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.CreateSchedulingGroupPayload:
      properties:
        jobs:
          items:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.CreateSchedulingPayload
          maxItems: 100
          minItems: 1
          type: array
        name:
          maxLength: 255
          minLength: 1
          type: string
      required:
        - jobs
        - name
      type: object
    internal_pkg_webserver_v1.OkResponseSchedulingGroup:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.JobGroup
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.CreateSchedulingPayload:
      properties:
        add_categories:
          items:
            type: string
          type: array
        add_collections:
          items:
            type: string
          type: array
        add_tags:
          items:
            type: string
          type: array
        execute_at:
          description: >-
            Execute at is the date when the product should change date. This
            date need to follow the format `YYYY-MM-DD`
          type: string
        item_id:
          type: string
        item_type:
          enum:
            - product
            - tag
            - image
            - price
            - variant
          type: string
        remove_categories:
          items:
            type: string
          type: array
        remove_collections:
          items:
            type: string
          type: array
        remove_tags:
          items:
            type: string
          type: array
        to_market_id:
          description: >-
            Market ID for market status change. Only used when item_type is
            `product`
          type: string
        to_market_status:
          description: Target market status. Only used when item_type is `product`
          enum:
            - active
            - inactive
            - draft
            - archived
          type: string
        to_on_sale:
          description: >-
            Used to change if a price is on sale on a specific date. Only used
            when item_type is `price`
          type: boolean
        to_price_with_tax:
          description: >-
            Used to change the price on a specific date. Only used when
            item_type is `price`
          type: integer
        to_sale_price_with_tax:
          description: >-
            Used to change the sale price on a specific date. Only used when
            item_type is `price`
          type: integer
        to_start_sale_timestamp:
          description: >-
            Used to set the start sale timestamp on a specific date. Only used
            when item_type is `price`. Expects RFC3339 format.
          type: string
        to_status:
          enum:
            - active
            - inactive
            - archived
            - draft
          type: string
        to_stop_sale_timestamp:
          description: >-
            Used to set the stop sale timestamp on a specific date. Only used
            when item_type is `price`. Expects RFC3339 format.
          type: string
        to_store_group_id:
          description: >-
            Store group ID for market status change. Only used when item_type is
            `product`
          type: string
      required:
        - execute_at
        - item_id
        - item_type
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.JobGroup:
      properties:
        created_at:
          type: string
        id:
          type: string
        jobs:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
          type: array
        name:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Job:
      properties:
        add_category_names:
          items:
            type: string
          type: array
        add_collection_names:
          items:
            type: string
          type: array
        add_tag_names:
          items:
            type: string
          type: array
        execute_at:
          description: Date when the job should run
          type: string
        finished_at:
          description: If a job is finished will this timestamp be filled
          type: string
        group_id:
          type: string
        id:
          type: string
        item_id:
          type: string
        item_name:
          type: string
        item_type:
          type: string
        remove_category_names:
          items:
            type: string
          type: array
        remove_collection_names:
          items:
            type: string
          type: array
        remove_tag_names:
          items:
            type: string
          type: array
        to_amount_cents_with_tax:
          type: integer
        to_market_id:
          type: string
        to_market_status:
          type: string
        to_on_sale:
          type: boolean
        to_sale_amount_cents_with_tax:
          type: integer
        to_start_sale_timestamp:
          type: string
        to_status:
          type: string
        to_stop_sale_timestamp:
          type: string
        to_store_group_id:
          type: string
      type: object

````